/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-07 19:00:49 UTC)
 * on 2013-08-13 at 00:46:35 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.youtube.model;

/**
 * Model definition for VideoConversionPings.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the YouTube Data API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class VideoConversionPings extends com.google.api.client.json.GenericJson {

  /**
   * Pings that the app shall fire for a video (authenticated by biscotti cookie). Each ping has a
   * context, in which the app must fire the ping, and a url identifying the ping.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<VideoConversionPing> pings;

  /**
   * Pings that the app shall fire for a video (authenticated by biscotti cookie). Each ping has a
   * context, in which the app must fire the ping, and a url identifying the ping.
   * @return value or {@code null} for none
   */
  public java.util.List<VideoConversionPing> getPings() {
    return pings;
  }

  /**
   * Pings that the app shall fire for a video (authenticated by biscotti cookie). Each ping has a
   * context, in which the app must fire the ping, and a url identifying the ping.
   * @param pings pings or {@code null} for none
   */
  public VideoConversionPings setPings(java.util.List<VideoConversionPing> pings) {
    this.pings = pings;
    return this;
  }

  @Override
  public VideoConversionPings set(String fieldName, Object value) {
    return (VideoConversionPings) super.set(fieldName, value);
  }

  @Override
  public VideoConversionPings clone() {
    return (VideoConversionPings) super.clone();
  }

}
